



// Name
//===================================
//
// BlockComponentClimbable
//

#ifndef BLOCK_COMPONENT_CLIMBABLE_H
#define BLOCK_COMPONENT_CLIMBABLE_H


// FORWARD DECLARATIONS
//===================================

    class Block;
    class Camera;
    class Collision;
    class EventSystem;
    class Inventory;
    class GameState;
    class Level;
    class Sprite;


// DEPENDENCIES
//===================================

    #include "block_component.h"


// CLASS
//===================================

    class BlockComponentClimbable : public BlockComponent
    {
        public:
            BlockComponentClimbable();
            ~BlockComponentClimbable();
            void interact( Collision& collision, Sprite& sprite, Block& block, Level& level, EventSystem& events, Inventory& inventory, Camera& camera );
    };

#endif // BLOCK_COMPONENT_CLIMBABLE_H

