



// Name
//===================================
//
// TimedGoal
//

#ifndef TIMED_GOAL_H
#define TIMED_GOAL_H


// FORWARD DECLARATIONS
//===================================


// DEPENDENCIES
//===================================

    #include "goal.h"


// CLASS
//===================================

    class TimedGoal : public Goal
    {

        public:
            TimedGoal( int time_limit = 120 );
            ~TimedGoal();

            void update( Inventory& inventory, EventSystem& events );
            std::string message();

        private:
            int time_limit_ = 100;
    };

#endif // TIMED_GOAL_H
